List incidents
Needs: Incidents, Read
Lists normal incidents, newest first, as on the Incidents page. Site incidents are listed by GET /site-incidents, which takes the same parameters.
Note: An incident raised from a shift caution has
from_shift: true. Fields with no value are left out.
curl -X GET "https://app.imploy.com.au/api/integrations/v1/incidents?status=example_string&open_only=true&priority=example_string&category=example_string&assigned_to=42&reported_by=42&client_id=123&from=example_string&to=example_string&query=example_string&page=25&per_page=25" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/incidents?status=example_string&open_only=true&priority=example_string&category=example_string&assigned_to=42&reported_by=42&client_id=123&from=example_string&to=example_string&query=example_string&page=25&per_page=25"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/incidents?status=example_string&open_only=true&priority=example_string&category=example_string&assigned_to=42&reported_by=42&client_id=123&from=example_string&to=example_string&query=example_string&page=25&per_page=25", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.imploy.com.au/api/integrations/v1/incidents?status=example_string&open_only=true&priority=example_string&category=example_string&assigned_to=42&reported_by=42&client_id=123&from=example_string&to=example_string&query=example_string&page=25&per_page=25", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/incidents?status=example_string&open_only=true&priority=example_string&category=example_string&assigned_to=42&reported_by=42&client_id=123&from=example_string&to=example_string&query=example_string&page=25&per_page=25')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"data": [
{
"id": 12,
"kind": "incident",
"code": "INC-012",
"title": "Fall in the kitchen",
"status": "Triage",
"priority": "Medium",
"category": "Injury",
"location": "Kitchen",
"date_reported": "2026-03-02",
"assigned_to": "Example Manager",
"reported_by": "Example Worker"
}
],
"meta": {
"page": 1,
"per_page": 50,
"total": 1,
"last_page": 1
}
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/incidents
Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.One of Triage, Open, Resolving, On Hold, Resolved, Not an Incident or Archived.
Leave out Resolved, Not an Incident and Archived.
One of Low, Medium or High.
One of Medication, Behaviour, Injury, Abuse, Restrictive, Privacy or Other.
Staff id.
Staff id.
Only this client.
Date reported from, YYYY-MM-DD.
Date reported to, YYYY-MM-DD.
Match the title or location.
Page number, 1 or greater.
Up to 100. Defaults to 50.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Query Parameters
One of Triage, Open, Resolving, On Hold, Resolved, Not an Incident or Archived.
Leave out Resolved, Not an Incident and Archived.
One of Low, Medium or High.
One of Medication, Behaviour, Injury, Abuse, Restrictive, Privacy or Other.
Staff id.
Staff id.
Only this client.
Date reported from, YYYY-MM-DD.
Date reported to, YYYY-MM-DD.
Match the title or location.
Page number, 1 or greater.
Up to 100. Defaults to 50.
Responses
OK